aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--common/hooks/post-pkg/01-xdelta_repolist.sh2
-rw-r--r--common/hooks/pre-pkg/01-xdelta_repolist.sh5
2 files changed, 4 insertions, 3 deletions
diff --git a/common/hooks/post-pkg/01-xdelta_repolist.sh b/common/hooks/post-pkg/01-xdelta_repolist.sh
index 5d2fcd5368c..cdf34ce7207 100644
--- a/common/hooks/post-pkg/01-xdelta_repolist.sh
+++ b/common/hooks/post-pkg/01-xdelta_repolist.sh
@@ -3,7 +3,7 @@
hook() {
type -P xdelta3 > /dev/null || return 0
- find $XBPS_REPOSITORY -name '*.genVcdiff' | xargs -r sha256sum | \
+ find $XBPS_REPOSITORY -name "${XBPS_TARGET_MACHINE}-repodata.genVcdiff" | xargs -r sha256sum | \
while read chk oldfile; do
newfile=${oldfile/.genVcdiff/}
diff --git a/common/hooks/pre-pkg/01-xdelta_repolist.sh b/common/hooks/pre-pkg/01-xdelta_repolist.sh
index 9c73c3e057f..b67ebf17a66 100644
--- a/common/hooks/pre-pkg/01-xdelta_repolist.sh
+++ b/common/hooks/pre-pkg/01-xdelta_repolist.sh
@@ -3,9 +3,10 @@
hook() {
type -P xdelta3 > /dev/null || return 0
+ env
# create links to preserve old versions of repodata
- find $XBPS_REPOSITORY -name '*-repodata' | while read; do
- rm "${REPLY}.genVcdiff"
+ find $XBPS_REPOSITORY -name "${XBPS_TARGET_MACHINE}-repodata" | while read; do
+ rm "${REPLY}.genVcdiff" || true
cp "${REPLY}" "${REPLY}.genVcdiff"
done
}